Bug 588202 - Review Request: perl-Class-ISA - Report the search path for a class's ISA tree
Summary: Review Request: perl-Class-ISA - Report the search path for a class's ISA tree
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 06:35 UTC by Marcela Mašláňová
Modified: 2010-05-10 07:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 13:10:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-05-03 06:35:28 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Class-ISA.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Class-ISA-0.36-1.fc13.src.rpm
Description: Suppose you have a class (like Food::Fish::Fishstick) that is derived, via
its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from
Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses
may themselves each be derived, via its @ISA, from one or more superclasses
(as above).

Comment 1 Parag AN(पराग) 2010-05-03 09:04:33 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2157259
+ rpmlint output for SRPM and for RPM.
perl-Class-ISA.src: W: spelling-error %description -l en_US Fishstick -> Fish stick, Fish-stick, Matchstick
perl-Class-ISA.src: W: spelling-error %description -l en_US superclasses -> super classes, super-classes, underclasses
perl-Class-ISA.noarch: W: spelling-error %description -l en_US Fishstick -> Fish stick, Fish-stick, Matchstick
perl-Class-ISA.noarch: W: spelling-error %description -l en_US superclasses -> super classes, super-classes, underclasses
==> Ignore this.

+ source files match upstream url (sha1sum)
e487f1b896151d0dbd8b9ed79f918b0d00b7822d  Class-ISA-0.36.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=4,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.01 cusr  0.01 csys =  0.05 CPU)
+ Package perl-Class-ISA-0.36-1.fc14.noarch =>
Provides: perl(Class::ISA) = 0.36
Requires: perl >= 1:5 perl(if) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.

Comment 2 Marcela Mašláňová 2010-05-04 07:09:27 UTC
New Package CVS Request
=======================
Package Name: perl-Class-ISA
Short Description: Report the search path for a class's ISA tree
Owners: mmaslano
Branches: devel
InitialCC: perl-sig

Comment 3 Huzaifa S. Sidhpurwala 2010-05-06 14:27:00 UTC
cvs done

Comment 4 Ralf Corsepius 2010-05-10 04:29:12 UTC
Testing this module with perl-5.12.0-122
exposes this:

...
Transaction Check Error:
  file /usr/share/man/man3/Class::ISA.3pm.gz from install of perl-Class-ISA-0.36-1.fc14.noarch conflicts with file from package perl-4:5.12.0-122.fc14.i686
...

Comment 5 Marcela Mašláňová 2010-05-10 07:59:30 UTC
Thanks for spotting this. I remove the manual page from Class::ISA.


Note You need to log in before you can comment on or make changes to this bug.